Package com.emc.documentum.rest.model

# Class DefaultValue

java.lang.Object
com.emc.documentum.rest.model.DefaultValue

public class DefaultValue extends Object
Default value for `AttributeInfo`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_BOOLEAN`
  `static final int`
  `TYPE_DATE`
  `static final int`
  `TYPE_DOUBLE`
  `static final int`
  `TYPE_ID`
  `static final int`
  `TYPE_INTEGER`
  `static final int`
  `TYPE_STRING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultValue(String expressionText, boolean literal)`
  Deprecated.
  deprecated, and this method only for internal use
  `DefaultValue(String id, String expressionText, int expressionType)`
  Constructor
  `DefaultValue(String id, String expressionText, int expressionType, boolean builtIn)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendExpressionText(String moreExpression)`
  Append expression
  `String`
  `getExpressionText()`
  Get expression text
  `int`
  `getExpressionType()`
  Get expression type
  `String`
  `getId()`
  Get default value id
  `boolean`
  `isExpression()`
  Check if default value is built-in expression
  `Object`
  `toObjectWithType()`
  Convert expression to real object
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_BOOLEAN

    public static final int TYPE_BOOLEAN
    See Also:
      - Constant Field Values

  - ### TYPE_INTEGER

    public static final int TYPE_INTEGER
    See Also:
      - Constant Field Values

  - ### TYPE_STRING

    public static final int TYPE_STRING
    See Also:
      - Constant Field Values

  - ### TYPE_ID

    public static final int TYPE_ID
    See Also:
      - Constant Field Values

  - ### TYPE_DATE

    public static final int TYPE_DATE
    See Also:
      - Constant Field Values

  - ### TYPE_DOUBLE

    public static final int TYPE_DOUBLE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DefaultValue

    public DefaultValue(String id, String expressionText, int expressionType)
    Constructor
    Parameters:
      `id` - default value id
      `expressionText` - default value expression text
      `expressionType` - default value expression type

  - ### DefaultValue

    public DefaultValue(String id, String expressionText, int expressionType, boolean builtIn)
    Constructor
    Parameters:
      `id` - default value id
      `expressionText` - default value expression text
      `expressionType` - default value expression type
      `builtIn` - built-in expression or not

  - ### DefaultValue

    @Deprecated public DefaultValue(String expressionText, boolean literal)
    Deprecated.
    deprecated, and this method only for internal use
    Parameters:
      `expressionText` - default value expression text
      `literal` - whether set default literal or expression

- ## Method Details

  - ### getId

    public String getId()
    Get default value id
    Returns:
      default value id

  - ### getExpressionText

    public String getExpressionText()
    Get expression text
    Returns:
      expression text

  - ### isExpression

    public boolean isExpression()
    Check if default value is built-in expression
    Returns:
      `true` if it is built-in expression

  - ### getExpressionType

    public int getExpressionType()
    Get expression type
    Returns:
      expression type

  - ### appendExpressionText

    public void appendExpressionText(String moreExpression)
    Append expression
    Parameters:
      `moreExpression` - expression to append

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toObjectWithType

    public Object toObjectWithType()
    Convert expression to real object
    Returns:
      the expression type